Answer a pending clarification in an existing session
curl --request POST \
--url https://api.bold-factory.com/v1/agents/sessions/{sessionId}/clarifications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"answers": [
{
"question": "<string>",
"answer": "<string>"
}
]
}
'import requests
url = "https://api.bold-factory.com/v1/agents/sessions/{sessionId}/clarifications"
payload = { "answers": [
{
"question": "<string>",
"answer": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({answers: [{question: '<string>', answer: '<string>'}]})
};
fetch('https://api.bold-factory.com/v1/agents/sessions/{sessionId}/clarifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"agentId": "<string>",
"agent": {
"id": "<string>",
"name": "<string>",
"systemName": "<string>",
"instructions": "<string>",
"permissions": [
"<string>"
],
"allowQuestions": true,
"allowMemory": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"memory": "<string>"
},
"topic": "<string>",
"owner": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"lastModifiedBy": "<string>",
"credits": 123,
"expired": true,
"planMode": true
}{
"type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
"title": "Filter parsing failed",
"status": 400,
"detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
"instance": "POST /v1/items/products/search",
"code": "FILTER_PARSING_FAILED"
}{
"type": "https://www.rfc-editor.org/rfc/rfc9110.html#name-401-unauthorized",
"title": "Unauthorized",
"status": 401,
"detail": "You are not authenticated.",
"instance": "GET /v1/items/skus"
}{
"type": "https://api.bold-factory.com/errors/MISSING_PERMISSIONS",
"title": "Missing permissions",
"status": 403,
"detail": "Missing permissions: Items.Products.Read",
"instance": "GET /v1/maintenance/assets",
"code": "MISSING_PERMISSIONS"
}{
"type": "https://api.bold-factory.com/errors/ENTITY_NOT_FOUND",
"title": "The entity was not found.",
"status": 404,
"detail": "Entity Product (pr_72f13bd8218h9823dfj9) was not found.",
"instance": "DELETE /v1/items/products/pr_72f13bd8218h9823dfj9",
"code": "ENTITY_NOT_FOUND"
}Agents
Answer a pending clarification in an existing session
POST
/
v1
/
agents
/
sessions
/
{sessionId}
/
clarifications
Answer a pending clarification in an existing session
Autorizaciones
JWTApiKey
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
Parámetros de ruta
Cuerpo
application/json
Show child attributes
Show child attributes
Respuesta
OK
Show child attributes
Show child attributes
Opciones disponibles:
Agent, Chat Opciones disponibles:
Manual, Scheduled, Event Opciones disponibles:
Pending, Running, Completed, ActionRequired, Error ⌘I